@import '../../../../styles/variables.scss';

.button {
  @include reset-button;

  padding: 0 12px;
  box-sizing: border-box;

  background-color: rgba(0, 0, 0, .1);

  & span {
    width: 24px;
    height: 24px;
    display: flex;
    justify-content: center;

    & img {
      flex-shrink: 0;
    }
  }
}

@media (min-width: $breakpoint-3) {
  .button {
    padding: 0 15px;

    cursor: pointer;
    height: 100%;

    background-color: transparent;

    &:hover {
      background-color: rgba(255, 255, 255, .1);
    }
  }
}
